> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/transport-loading-plans.md).

# Transport loading plans

## GET /transport-loading-plans/

> List loading plans

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"TransportLoadingPlans"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"TransportLoadingPlan":{"properties":{"uid":{"format":"uuid","type":"string"},"created":{"$ref":"#/components/schemas/created"},"created_device":{"$ref":"#/components/schemas/created_device"},"transport":{"format":"uuid","type":"string"},"compartments":{"items":{"$ref":"#/components/schemas/Compartment"},"type":"array"}},"type":"object"},"created":{"description":"Date of creation on our server","format":"date-time","type":"string"},"created_device":{"description":"Date of creation on device (ISO 8601)","format":"date-time","type":"string"},"Compartment":{"properties":{"compartment_number":{"type":"number"},"load":{"$ref":"#/components/schemas/DeliveryLoads"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"unloading_status":{"enum":["","fully_unloaded","partially_unloaded","not_unloaded"],"type":"string"}},"type":"object"},"DeliveryLoads":{"properties":{"uid":{"description":"Dashdoc's internal id.","type":"string"},"remote_id":{"description":"The ID of the load in your system. It has to be unique among all your transports.","type":"string"},"description":{"description":"Text description of the load","type":"string"},"reference":{"description":"Reference of the load","type":"string"},"round_id":{"description":"The ID of the round.","format":"integer","type":"number"},"weight":{"description":"In kilograms","format":"float","type":"number"},"volume":{"description":"Volume of load in m3","format":"float","type":"number"},"volume_display_unit":{"default":"m3","enum":["m3","L"],"type":"string"},"linear_meters":{"description":"Length of load in meters","format":"float","type":"number"},"quantity":{"description":"Only one decimal accepted (e.g 0.0)","format":"float","type":"number"},"pallet_equivalence":{"description":"Pallet equivalence (EPS/EQPAL): how many standard pallet spaces the load occupies. `null` when it was never set. Otherwise at least `0.01`, with two decimals kept.","format":"float","nullable":true,"type":"number"},"category":{"description":"Packaging of the load. The text is free but these specific values cause a custom flow on the mobile app: `pallets`, `containers`, `bulk`, `roundwood`, `powder_tank`, `bulk_qualimat`, `rental`.","type":"string"},"dangerous_goods_category":{"description":"ADR class","enum":["1","2","3","4.1","4.2","4.3","5.1","5.2","6.1","6.2","7","8","9"],"type":"string"},"is_dangerous":{"type":"boolean"},"adr_un_code":{"type":"string"},"legal_mentions":{"type":"string"},"complementary_information":{"description":"Any information about the load that doesn't fit to the description field","type":"string"},"container_number":{"type":"string"},"tare_weight":{"description":"In kilograms","format":"float","type":"number"},"container_seal_number":{"type":"string"},"refrigerated":{"description":"Indicates whether the load is refrigerated. If true, the trucker can fill in the temperature.","type":"boolean"},"temperature":{"type":"string"},"steres":{"format":"float","type":"number"},"idtf_number":{"description":"Must match an existing IDTF number","type":"string"},"use_identifiers":{"description":"if `true`, trucker is asked to scan barcode identifiers on load","type":"boolean"},"identifiers":{"description":"Only relevant if use_identifiers is set to `true`. List of expected barcode identifiers that the trucker should scan at loading and unloading. App controls that expected barcodes are actually scanned. If empty, the trucker will have to scan barcodes anyway, but there won't be any check. Feature has to be activated in your account by your Dashdoc projet manager.","items":{"type":"string"},"type":"array"},"identifiers_observations":{"description":"Observations explaining issues with identifier, such as missing or unexpected identifiers","type":"string"}},"type":"object"}}},"paths":{"/transport-loading-plans/":{"get":{"operationId":"listTransportLoadingPlan","parameters":[{"description":"UID of a transport, will list loading plans linked to this transport","in":"query","name":"uid","required":false,"schema":{"type":"string"}},{"description":"Comma-separated list of transport UIDs, will list loading plans linked to several transports","in":"query","name":"uid__in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransportLoadingPlan"}}},"description":"List successful"}},"summary":"List loading plans","tags":["TransportLoadingPlans"]}}}}
````
